Results 1 to 9 of 9
  1. itZmePre's Avatar
    Posts
    50 Posts
    Global Posts
    51 Global Posts
       #1  
    Well, I have had my Sprint Pre minus at WebOS2.1.0 for a couple weeks and enjoyed it. Then I failed at meta-doctoring it to Sprint Pre Plus. I was able to call and text etc... but the model still showed p101eww. I also got the 9.9.9 profile problem.

    Now I have disassembled and put comm boards back, reset to 1.4.1.1 upgraded to 1.4.5 and I'm ready to move forward again.

    Would it be best to upgrade to Sprint Pre Minus with WebOS 2.1.0 and then cross platform meta doctor to Pre Plus (Verizon board)?

    The other option (which I haven't tried yet) would be to cross-platform Meta-doctor to 2.1.0 Sprint Pre Plus in one shot.

    Has anyone got experience good or bad doing this either way? I know I do NOT want to end up at the 9.9.9 again and not have full catalog access and if it comes down to it I could live on WebOS 1.4.5 but would rather get back to 2.1.0 since I liked it a bunch.

    Thanks for your help!
    -- Kevin
    Last edited by itZmePre; 04/16/2011 at 01:55 AM.
  2. #2  
    The best and only route is to follow the directions here exactly without improvising.
  3. itZmePre's Avatar
    Posts
    50 Posts
    Global Posts
    51 Global Posts
       #3  
    I have been having dreams about that page for days I must have built 20 meta-doctors and ran every one of them to still go into device info and find that darn p101eww.

    I even wiped out my Ubuntu partition and reloaded it because I was having troubles.

    Guess it's time to get back at it since I have it sorted out at the moment.

    I wasn't sure if anybody has been able to upgrade from 2.1.0 sprint pre- to a 2.1.0 franken-pre without messing it up.
  4. #4  
    I started from 1.4.5, then I did the cross-platform meta-doctor, then I doctored to straight-up 1.4.5 Sprint, then meta-sprint-pre-2.1.0'ed. Not sure if the straight-up 1.4.5 doctor was necessary, I was just being cautious.
  5. #5  
    i have had my sprint pre plus for a while. It was running 1.4.5. I followed the instructions on the Wiki page. I can happily say since about 6pm yesterday I have been on 2.1. The first meta doctor build displayed some errors towards the end. I still tried to use it. My pre was not recognized so I did the hold the volume key trick. That one failed. I did a git pull and then a make clobber. The new doctor was created without any errors. My voice dial works fine with no I'll effects thus far. At times the phone seemed like it froze with music player, browser, and app catalog. Given some time it would eventually respond. May just be the phone settling out after the upgrade and overclock from uberkernel and govnah. I still need to get flash going and update my Pre. The issues I have are with the browser. That may be because I did not delete my patches from Preware's saved pkg list. All 45 were installed. I have since removed them and that resolved most of my issues. I can purchase aps, use voice dial, use GPS, and for the most part..... IT WAS WORTH IT!!!!!
  6. #6  
    Quote Originally Posted by itZmePre View Post
    Now I have disassembled and put comm boards back, reset to 1.4.1.1 upgraded to 1.4.5 and I'm ready to move forward again.
    My friend has a Sprint Franken Pre and he got it working on 1.4.5 first and then later moved to 2.1 without issues.

    One question - why did you go back to 1.4.1.1 rather than just 1.4.5 direct?
  7. #7  
    Quote Originally Posted by itZmePre View Post
    I wasn't sure if anybody has been able to upgrade from 2.1.0 sprint pre- to a 2.1.0 franken-pre without messing it up.
    Yes. Psychonaut metioned that he did it that way in this post: http://forums.precentral.net/palm-pr...ml#post2939243

    My personal route was this way:

    1. Upgrade Sprint Pre- hardware to Sprint Pre Plus via: Sprint Pre Plus - WebOS Internals
    2. Upgrade webOS from 1.4.5 to 2.1 via: WebOS 2 Upgrade - WebOS Internals. I did this as a two step process:
      • Doctor to 2.1 using a brand new palm profile that I used for testing until I was certain that I wasn't going back to 1.4.5
      • Re-doctor to 2.1.0 and login with my old profile.
    Twitter: dullgeek
  8. #8  
    Quote Originally Posted by Unclevanya View Post
    One question - why did you go back to 1.4.1.1 rather than just 1.4.5 direct?
    There's an occasional issue when you go through the upgrade process where your Palm Profile gets confused and reports your webos version as 9.9.9. At which point you won't be able to download apps from the catalog that are tied to specific versions of WebOS. The solution for this is a "downgrade activation". E.g. doctor to 1.4.1.1 then do an OTA to 1.4.5.
    Twitter: dullgeek
  9. itZmePre's Avatar
    Posts
    50 Posts
    Global Posts
    51 Global Posts
       #9  
    Finally got everything going. I actually ended up meta-doctoring to 1.4.1.1 Franken-Pre then could not use OTA updates but got my profile to work again and then built 1.4.5 meta-doctor and used it for a day with my profile working. Then I got brave and just built the Sprint 2.1.0 doctor without tokens or anything and it is working great. I have F104a kernel and it runs great at 1.1 ghz.
    Wish I had done this sooner! Now I have some issues with screen scratches and thinking about swapping out keyboard and screens since they are new on my PreMinus.

    I have also gotten the Verizon Pre MINUS running as a wifi only device which I have hooked to my home stereo for streaming Pandora or Slacker radio etc... Pretty awesome investment for a $15 bad ESN PrePlus and some of my time

Posting Permissions